GTFS Kit
********
.. image:: https://github.com/mrcagney/gtfs_kit/actions/workflows/run_tests.yml/badge.svg

GTFS Kit is a Python 3.8+ library for analyzing `General Transit Feed Specification (GTFS) <https://en.wikipedia.org/wiki/GTFS>`_ data in memory without a database.
It uses Pandas and Shapely to do the heavy lifting.


Installation
=============
``poetry add gtfs_kit``.


Examples
========
You can find examples in the Jupyter notebook ``notebooks/examples.ipynb``.


Authors
=========
- Alex Raichev (2019-09), maintainer


Documentation
=============
Documentation is built via Sphinx from the source code in the ``docs`` directory then published to Gitlab Pages at `mrcagney.gitlab.io/gtfs_kit_docs <https://mrcagney.gitlab.io/gtfs_kit_docs>`_.


Notes
=====
- This project's development status is Alpha.
  I use GTFS Kit for work and change it breakingly to suit my needs.
- This project uses semantic versioning.
- I aim for GTFS Kit to handle `the current GTFS <https://developers.google.com/transit/gtfs/reference>`_.
  In particular, i avoid handling `GTFS extensions <https://developers.google.com/transit/gtfs/reference/gtfs-extensions>`_.
  That is the most reasonable scope boundary i can draw at present, given this project's tiny budget.
  If you would like to fund me to expand that scope, feel free to email me.
- Thanks to `MRCagney <http://www.mrcagney.com/>`_ for periodically donating to this project.
- Constructive feedback and contributions are welcome.
  Please issue pull requests from a feature branch into the ``develop`` branch and include tests.
- GTFS time is measured relative noon minus 12 hours, which can mess things up when crossing into daylight savings time.
  I don't think this issue causes any bugs in GTFS Kit, but you and i have been warned.
  Thanks to user derhuerst for bringing this to my attention in `closed Issue 8 <https://github.com/mrcagney/gtfs_kit/issues/8#issue-1063633457>`_.
